# Get-RASMFACriteria.md

## NAME

Get-RASMFACriteria

## SYNOPSIS

Retrieves the MFA Criteria Settings.

## SYNTAX

**Get-RASMFACriteria** \[\[-[Id](#id-string)] *(uint)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

**Get-RASMFACriteria** \[[Name](#name-string)] *(string)* \[\[-[SiteId](#siteid-string)] *(uint)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

## DESCRIPTION

Retrieves the MFA Criteria Settings.

## PARAMETERS

## Name (string)

The name of the MFA for which to retrieve the information.

This must be the actual MFA name used in the RAS farm.

```
        Required?                    true

        Position?                    0

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## SiteId (uint)

Site ID from which to retrieve the MFA information.

If the parameter is omitted, the Licensing Server site ID will be used.

```
        Required?                    false

        Position?                    1

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Id (uint)

The ID of a MFA for which to retrieve the information.

```
        Required?                    false

        Position?                    0

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

(CommonParameters)

```
        This cmdlet supports the common parameters: Verbose, Debug,

        ErrorAction, ErrorVariable, WarningAction, WarningVariable,

        OutBuffer, PipelineVariable, and OutVariable. For more information, see 

        about_CommonParameters documentation. 
```

## INPUTS

-none-

## OUTPUTS

[MFACriteria](https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/mfacriteria)

## EXAMPLES

\*\*---------- EXAMPLE 1 ----------

Get-RASMFACriteria -Id 1

Retrieves the criteria from the multi factor authentication with Id 1.

## RELATED LINKS

* [New-RASMFA](https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/new-rasmfa)
* [Remove-RASMFA](https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/remove-rasmfa)
* [Get-RASMFA](https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-rasmfa)
* [Get-RASCriteria](https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-rascriteria)
* [Set-RASCriteria](https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/set-rascriteria)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-rasmfacriteria.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
